Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.decorator
Class IDecoratorTarget.Direction

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecoratorTarget.Direction

Enclosing class:
  IDecoratorTarget

public static class IDecoratorTarget.Direction
extends java.lang.Object

Enumeration of directions for the location of shape decorations.

Field Summary
`static IDecoratorTarget.Direction` `CENTER` Center
`static IDecoratorTarget.Direction` `EAST` East
`static IDecoratorTarget.Direction` `NORTH` North
`static IDecoratorTarget.Direction` `NORTH_EAST` North-East
`static IDecoratorTarget.Direction` `NORTH_WEST` North-West
`static IDecoratorTarget.Direction` `SOUTH` South
`static IDecoratorTarget.Direction` `SOUTH_EAST` South-East
`static IDecoratorTarget.Direction` `SOUTH_WEST` South-West
`static IDecoratorTarget.Direction` `WEST` West

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CENTER

    public static final IDecoratorTarget.Direction CENTER

  Center

### NORTH

    public static final IDecoratorTarget.Direction NORTH

  North

### SOUTH

    public static final IDecoratorTarget.Direction SOUTH

  South

### WEST

    public static final IDecoratorTarget.Direction WEST

  West

### EAST

    public static final IDecoratorTarget.Direction EAST

  East

### NORTH_EAST

    public static final IDecoratorTarget.Direction NORTH_EAST

  North-East

### NORTH_WEST

    public static final IDecoratorTarget.Direction NORTH_WEST

  North-West

### SOUTH_EAST

    public static final IDecoratorTarget.Direction SOUTH_EAST

  South-East

### SOUTH_WEST

    public static final IDecoratorTarget.Direction SOUTH_WEST

  South-West

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.